## mycompiler.myoperator
Class AddOp

    java.lang.Object
      mycompiler.myoperator.Operator
          mycompiler.myoperator.AddOp

Direct Known Subclasses:
  MinusOp, PlusOp

    public abstract class AddOp

extends Operator

Constructor Summary
`AddOp()`

Method Summary
`abstract void` `codegen(ClassFile classfile, CodeAttribute code, Expr expr, boolean neg, de.dhbwstuttgart.typeinference.Menge paralist)`
`CTripleSet` `TRExp(Binary binary, CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)` Implementierung der Algorithmen 5.44 und 5.45 von Martin Pl�micke Achtung Workaround: Wenn die BaseTypes endlich korrekt implementiert sind, dann sollte der RefType "Integer" �berall durch den BaseType "IntegerType" ersetzt werden!!!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddOp

    public AddOp()

Method Detail

### codegen

    public abstract void codegen(ClassFile classfile,
                                 CodeAttribute code,
                                 Expr expr,
                                 boolean neg,
                                 de.dhbwstuttgart.typeinference.Menge paralist)
                          throws JVMCodeException

  Specified by:
    `codegen` in class `Operator`
  Throws:
    `JVMCodeException`

### TRExp

    public CTripleSet TRExp(Binary binary,
                            CSubstitutionSet sigma,
                            CTypeAssumptionSet V,
                            CSupportData supportData)

  Implementierung der Algorithmen 5.44 und 5.45 von Martin Pl�micke
  Achtung Workaround: Wenn die BaseTypes endlich korrekt implementiert sind, dann sollte der RefType "Integer" �berall durch den BaseType "IntegerType" ersetzt werden!!!
  Author: J�rg B�uerle

  Specified by:
    `TRExp` in class `Operator`
  Parameters:
    `binary` -
    `sigma` -
    `V` -
    `supportData` -
  Returns: